Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.configurator.impl.blocker
Class RangeCondition

    java.lang.Object
      com.sun.mdm.index.configurator.impl.blocker.AbstractCondition
          com.sun.mdm.index.configurator.impl.blocker.RangeCondition

public class RangeCondition
extends AbstractCondition

Range condition.

Field Summary
`static int` | `RANGE_TYPE_CONSTANT`
`static int` | `RANGE_TYPE_OFFSET`
`static int` | `TYPE` type

Constructor Summary
`RangeCondition()` Creates a new instance of RangeCondition

Method Summary
`int` | `getDefaultLowerType()` Getter for defaultLowerType attribute of the RangeCondition object.
`java.lang.String` | `getDefaultLowerValue()` Getter for defaultLowerValue attribute of the RangeCondition object.
`int` | `getDefaultUpperType()` Getter for defaultUpperType attribute of the RangeCondition object.
`java.lang.String` | `getDefaultUpperValue()` Getter for defaultUpperValue attribute of the RangeCondition object.
`int` | `getType()` Getter for Type attribute of the RangeCondition object.
`void` | `setDefaultLowerType(java.lang.String val)` Setter for defaultLowerType attribute of the RangeCondition object.
`void` | `setDefaultLowerValue(java.lang.String val)` Setter for defaultLowerValue attribute of the RangeCondition object.
`void` | `setDefaultUpperType(java.lang.String val)` Setter for defaultUpperType attribute of the RangeCondition object.
`void` | `setDefaultUpperValue(java.lang.String val)` Setter for defaultUpperValue attribute of the RangeCondition object.

Methods inherited from class com.sun.mdm.index.configurator.impl.blocker.AbstractCondition
`getField, getSource, setField, setSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RANGE_TYPE_CONSTANT

    public static final int RANGE_TYPE_CONSTANT

See Also:
  Constant Field Values

### RANGE_TYPE_OFFSET

    public static final int RANGE_TYPE_OFFSET

See Also:
  Constant Field Values

### TYPE

    public static final int TYPE

  type

  See Also:
    Constant Field Values

Constructor Detail

### RangeCondition

    public RangeCondition()

  Creates a new instance of RangeCondition

Method Detail

### getDefaultLowerType

    public int getDefaultLowerType()

  Getter for defaultLowerType attribute of the RangeCondition object.

  Returns:
    default lower type.

### getDefaultLowerValue

    public java.lang.String getDefaultLowerValue()

  Getter for defaultLowerValue attribute of the RangeCondition object.

  Returns:
    default lower value.

### getDefaultUpperType

    public int getDefaultUpperType()

  Getter for defaultUpperType attribute of the RangeCondition object.

  Returns:
    default upper type.

### getDefaultUpperValue

    public java.lang.String getDefaultUpperValue()

  Getter for defaultUpperValue attribute of the RangeCondition object.

  Returns:
    default upper value.

### getType

    public int getType()

  Getter for Type attribute of the RangeCondition object.

  Specified by:
    `getType` in class `AbstractCondition`
  Returns:
    type as integer.

### setDefaultLowerType

    public void setDefaultLowerType(java.lang.String val)
                             throws ConfigurationException

  Setter for defaultLowerType attribute of the RangeCondition object.

  Parameters:
    `val` - Value to set for the default lower type.
  Throws:
    `ConfigurationException` - if an error occurs.

### setDefaultLowerValue

    public void setDefaultLowerValue(java.lang.String val)

  Setter for defaultLowerValue attribute of the RangeCondition object.

  Parameters:
    `val` - Value to set for the default lower value.

### setDefaultUpperType

    public void setDefaultUpperType(java.lang.String val)
                             throws ConfigurationException

  Setter for defaultUpperType attribute of the RangeCondition object.

  Parameters:
    `val` - Value to set for the default upper type.
  Throws:
    `ConfigurationException` - if an error occurs.

### setDefaultUpperValue

    public void setDefaultUpperValue(java.lang.String val)

  Setter for defaultUpperValue attribute of the RangeCondition object.

  Parameters:
    `val` - Value to set for the default upper value.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.